Skip to main content
GET
OHLC

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

ticker
string
required

A single ticker

Example:

"AAPL"

candle_size
enum<string>
required
Available options:
1m,
5m,
10m,
15m,
30m,
1h,
4h,
1d,
1w

Query Parameters

timeframe
string
default:1Y

The timeframe of the data to return. Can be one of the following formats:

  • YTD
  • 1D, 2D, etc.
  • 1W, 2W, etc.
  • 1M, 2M, etc.
  • 1Y, 2Y, etc.
Example:

"2M"

end_date
string<date>

A trading date in the format of YYYY-MM-DD.

This is the end date for the given timeframe. If you set the timeframe to 1 minute ticks and have an end_date of 2024-01-18 then it would start searching backwards from 2024-01-18

Example:

"2024-01-18T00:00:00.000Z"

date
string<date>

A trading date in the format of YYYY-MM-DD.

Example:

"2024-01-18T00:00:00.000Z"

limit
integer

How many items to return. Max: 2500. Min: 1.

Required range: 1 <= x <= 2500
Example:

10

Response

OHLC Response

The candle data for the requested timeframe.

close
string

The closing price of the candle.

Example:

"56.79"

end_time
string

The end time of the candle as UTC timestamp.

Example:

"2023-09-07T20:07:00.000Z"

high
string

The highest price of the candle.

Example:

"58.12"

low
string

The lowest price of the candle.

Example:

"51.90"

market_time
enum<string>

The market time:

  • pr = premarket
  • r = regular
  • po = postmarket
Available options:
r,
po,
pr
Example:

"pr"

open
string

The opening price of the candle.

Example:

"54.29"

start_time
string

The start time of the candle as UTC timestamp.

Example:

"2023-09-07T20:06:00.000Z"

total_volume
integer

The total volume of the ticker for the full trading till now.

Example:

13744676

volume
integer

The volume of the candle.

Example:

10699

Last modified on September 29, 2026